package com.warewms.ams.car.controller;


import com.warewms.ams.car.service.ICarInfoService;
import com.warewms.common.base.controller.BaseController;
import com.warewms.common.base.domain.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * 车辆管理Controller
 * 
 * @author ruoyi
 * @date 2022-11-01
 */
@RestController
@RequestMapping("/ams/car")
public class CarInfoController extends BaseController
{
    @Autowired
    private ICarInfoService carInfoService;

    /**
     * agv车辆信息
     */
    @GetMapping("/queryInfoByCarNo")
    public AjaxResult queryInfoByCarNo(@RequestParam String carNo) {
        return AjaxResult.success(carInfoService.queryInfoByCarNo(Integer.valueOf(carNo)));
    }

}
