package com.warewms.ams.car.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class CarInfoDTO implements Serializable {

    private static final long serialVersionUID = 4857035237485972793L;

    @ApiModelProperty(value = "车辆编号")
    private String carNo;

    @ApiModelProperty(value = "电池")
    private String battery;

    @ApiModelProperty(value = "x轴坐标")
    private String x;

    @ApiModelProperty(value = "y轴坐标")
    private String y;
}
