package com.warewms.ams.ndc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class AmsTaskInfoDTO implements Serializable {

    private static final long serialVersionUID = -6573961452126621794L;

    @ApiModelProperty("AMS任务编号")
    private String taskNo;

    @ApiModelProperty("AMS任务状态")
    private Integer state;

    @ApiModelProperty("事件id")
    private Integer event;

    @ApiModelProperty("是否下发 0:未下发 1:已下发")
    private Integer aciAccept;

    @ApiModelProperty("车辆编号")
    private String carNo;

}
