package com.warewms.ams.wcs.controller;

import com.warewms.ams.wcs.form.BtnOpForm;
import com.warewms.ams.wcs.service.IWcsService;
import com.warewms.common.base.domain.AjaxResult;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/wcs/ctl")
public class WcsController {


    @Autowired
    private IWcsService wcsService;

    @PostMapping("/btnOp")
    public AjaxResult buttonBoxOperation(@RequestBody BtnOpForm btnOpForm) {
        wcsService.buttonBoxOperation(btnOpForm);
        return AjaxResult.success();
    }
}
