package com.warewms.ams.car.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.warewms.common.base.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 入库单明细对象 wms_doc_asn_details
 * 
 * @author ruoyi
 * @date 2022-11-14
 */
@Data
public class CarInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "车编号")
    @TableField(value = "carNo")
    private String carNo;

    @ApiModelProperty(value = "仓库编号")
    private String warehouseId;

    @ApiModelProperty(value = "状态")
    private String state;

    @ApiModelProperty(value = "是否启用")
    private String activeFlag;

    @ApiModelProperty(value = "电池")
    private String battery;

    @ApiModelProperty(value = "x轴")
    private String x;

    @ApiModelProperty(value = "y轴")
    private String y;

    @ApiModelProperty(value = "时间")
    private String userdefine1;

    @ApiModelProperty(value = "时间")
    private String userdefine2;

    @ApiModelProperty(value = "时间")
    private String userdefine3;

    @ApiModelProperty(value = "时间")
    private String userdefine4;

    @ApiModelProperty(value = "时间")
    private String userdefine5;

}
