package com.warewms.ams.common;

import java.util.HashMap;
import java.util.Map;

public interface SceneConstants {

    /**
     * 桶装物料的业务场景配置
     */
    String LOCATION_SCENE = "location.scene.config";

    String LOCATION_FROM_LIST = "locationFromIdList";

    String LOCATION_TO_LIST = "locationToIdList";

    Map<String, Integer> locationToAreaCacheListMapper = new HashMap<String, Integer>(){
        {
            put(SceneConstants.LOCATION_FROM_LIST, AmsConstant.ZONE_TYPE.IN_CACHE.getValue());//入库区域
            put(SceneConstants.LOCATION_TO_LIST, AmsConstant.ZONE_TYPE.OUT_CACHE.getValue());//出库区域
        }
    };



}