package com.warewms.ams.ndc.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "testtag")
public class TestTagConfig {
    @Value("${testtag.aciservice}")
    private Boolean aciService;
    @Value("${testtag.gsService}")
    private Boolean gsService;
}
