package com.warewms.ams.ndc.domain;

import com.warewms.common.annotation.Excel;
import com.warewms.common.base.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * Ndc反馈事件代码字典对象 ams_ndc_event
 * 
 * @author andy
 * @date 2022-08-08
 */
public class AmsNdcEvent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer type;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer ecode;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Integer locationindex;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String lp1;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String lp2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String lp3;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String lp4;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String display;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String displayid;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String level;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getType()
    {
        return type;
    }
    public void setEcode(Integer ecode)
    {
        this.ecode = ecode;
    }

    public Integer getEcode()
    {
        return ecode;
    }
    public void setLocationindex(Integer locationindex)
    {
        this.locationindex = locationindex;
    }

    public Integer getLocationindex()
    {
        return locationindex;
    }
    public void setLp1(String lp1) 
    {
        this.lp1 = lp1;
    }

    public String getLp1() 
    {
        return lp1;
    }
    public void setLp2(String lp2) 
    {
        this.lp2 = lp2;
    }

    public String getLp2() 
    {
        return lp2;
    }
    public void setLp3(String lp3) 
    {
        this.lp3 = lp3;
    }

    public String getLp3() 
    {
        return lp3;
    }
    public void setLp4(String lp4) 
    {
        this.lp4 = lp4;
    }

    public String getLp4() 
    {
        return lp4;
    }
    public void setDisplay(String display) 
    {
        this.display = display;
    }

    public String getDisplay() 
    {
        return display;
    }
    public void setDisplayid(String displayid) 
    {
        this.displayid = displayid;
    }

    public String getDisplayid() 
    {
        return displayid;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("ecode", getEcode())
            .append("locationindex", getLocationindex())
            .append("lp1", getLp1())
            .append("lp2", getLp2())
            .append("lp3", getLp3())
            .append("lp4", getLp4())
            .append("display", getDisplay())
            .append("displayid", getDisplayid())
            .append("level", getLevel())
            .toString();
    }
}
