package com.warewms.ams.ndc.dto;

import lombok.Data;

import java.io.Serializable;

@Data
public class AmsTaskCallBackDTO implements Serializable {

    private static final long serialVersionUID = -9096165003129622801L;
    private String taskNo;
    private Integer state;

    private Integer carNo;

    private String remark;


    public AmsTaskCallBackDTO(){}

    public AmsTaskCallBackDTO(String taskNo, Integer state){
        this.taskNo = taskNo;
        this.state = state;
    }

    public AmsTaskCallBackDTO(String taskNo, Integer state, Integer carNo){
        this.taskNo = taskNo;
        this.state = state;
        this.carNo = carNo;
    }

    public AmsTaskCallBackDTO(String taskNo, Integer state, String remark){
        this.taskNo = taskNo;
        this.state = state;
        this.remark = remark;
    }

}
