package com.warewms.ams.ndc.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Data
public class AmsTaskCancelDTO implements Serializable {

    private static final long serialVersionUID = 2632946436423179432L;

    @ApiModelProperty("任务编号")
    @NotBlank(message = "任务编号不能为空！")
    private String taskNo;

    @ApiModelProperty("取消原因")
    private String reason;
}
